<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Tipo Agua</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:fieldset legend="Agregar Tipo de Agua" style="margin-bottom:10px">
                    <h:form id="formTipoAgua">
                        <p:growl id="mensaje"/>
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2">
                            <p:outputLabel value="Tipo de Agua" style="margin-right:20px;"/>
                            <p:inputText value="#{tipo_aguaController.tipo_agua.tipo}" required="true"/>
                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save"  rendered="#{tipo_aguaController.tipo_agua.tipo==null}" value="Registrar" action="#{tipo_aguaController.insertar()}" update=":listaTipoAgua, :formTipoAgua, :formTipoAgua:mensaje" />
                            </div> 
                            <p:commandButton icon="pi pi-times" rendered="#{tipo_aguaController.tipo_agua.tipo!=null}" value="Cancelar" action="#{tipo_aguaController.init()}" update=":listaTipoAgua, :formTipoAgua, :formTipoAgua:mensaje" />
                            <p:commandButton icon="pi pi-refresh" rendered="#{tipo_aguaController.tipo_agua.tipo!=null}" value="Actualizar" action="#{tipo_aguaController.editar()}" update=":listaTipoAgua, :formTipoAgua, :formTipoAgua:mensaje" />

                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
            
                <p:fieldset legend="Listado de Tipo de Agua">
                    <h:form id="listaTipoAgua" class="dosColumnas">
                        <p:dataTable value="#{tipo_aguaController.lista}" var="tipo_agua" paginator="true" rows="5" style="width: 80%; margin: auto">
                            <p:column headerText="Tipo de Agua">
                                <p:outputLabel value="#{tipo_agua.tipo}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton  icon="pi pi-trash" value="Eliminar" action="#{tipo_aguaController.eliminar(tipo_agua)}" update=":listaTipoAgua"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" action="#{tipo_aguaController.consultarById(tipo_agua)}" update=":formTipoAgua"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>
            </ui:define>
        </ui:composition>
    </h:body>
</html>

